gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnunet] branch master updated (ddd11bdfa -> 083165804)


From: gnunet
Subject: [gnunet] branch master updated (ddd11bdfa -> 083165804)
Date: Thu, 21 Sep 2023 19:34:54 +0200

This is an automated email from the git hooks/post-receive script.

martin-schanzenbach pushed a change to branch master
in repository gnunet.

    from ddd11bdfa BUILD: Add gnunet error codes to git
     new 0d5a37aa9 BUILD: add nat conf in
     new 59b1d0c04 BUILD: Add meson dist script
     new 083165804 -fix

The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 meson-dist-script   | 35 +++++++++++++++++++++++++++++++++++
 meson.build         |  2 ++
 src/nat/meson.build |  2 +-
 3 files changed, 38 insertions(+), 1 deletion(-)
 create mode 100644 meson-dist-script

diff --git a/meson-dist-script b/meson-dist-script
new file mode 100644
index 000000000..dbc3e0ba8
--- /dev/null
+++ b/meson-dist-script
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+set -eu
+
+# This is more portable than `which' but comes with
+# the caveat of not(?) properly working on busybox's ash:
+existence()
+{
+    type "$1" >/dev/null 2>&1
+}
+
+cd "${MESON_DIST_ROOT}"
+echo "Updating handbook..."
+if existence sphinx-build; then
+  cwd=$PWD
+  cd contrib/sphinx || exit 1
+  if test -e _build; then
+    make clean
+  fi
+  # GNS
+  make html >/dev/null || exit 1
+  if test -e ../../doc/handbook/html; then
+    rm -r ../../doc/handbook/html || exit 1
+  fi
+  cp -r _build/html ../../doc/handbook/ || exit 1
+  if test -e ../../doc/handbook/texinfo; then
+    rm -r ../../doc/handbook/texinfo || exit 1
+  fi
+  make info >/dev/null || exit 1
+  cp -r _build/texinfo ../../doc/handbook/ || exit 1
+  cd $cwd
+else
+  echo "ERROR: Sphinx not found! Unable to generate recent documentation."
+  exit 1
+fi
diff --git a/meson.build b/meson.build
index 7f00df203..a005021a3 100644
--- a/meson.build
+++ b/meson.build
@@ -193,3 +193,5 @@ configuration_inc = include_directories('.')
 subdir('src')
 subdir('doc')
 subdir('contrib')
+
+meson.add_dist_script('meson-dist-script')
diff --git a/src/nat/meson.build b/src/nat/meson.build
index 5427a5cf6..23c2bb18d 100644
--- a/src/nat/meson.build
+++ b/src/nat/meson.build
@@ -8,7 +8,7 @@ gnunetservicenat_src = ['gnunet-service-nat.c',
                         'gnunet-service-nat_mini.c',
                         'gnunet-service-nat_helper.c']
 
-configure_file(input : 'nat.conf',
+configure_file(input : 'nat.conf.in',
                output : 'nat.conf',
                configuration : cdata,
                install: true,

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]